# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KNamedCommand Class Reference

A command which stores its name. More...

`#include <kcommand.h>`

Inheritance diagram for KNamedCommand:

[legend]
Collaboration diagram for KNamedCommand:

[legend]
List of all members.

## Public Member Functions

virtual QString | name () const
void | setName (const QString &name)
| Updates the name of this command.

## Protected Member Functions

| KNamedCommand (const QString &name)
| Creates a command.
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A command which stores its name.

This class mostly exists for compatibility with KDE-2.x It is more memory-efficient to use KCommand and to implement the name() method.

Definition at line 77 of file kcommand.h.

## Constructor & Destructor Documentation

KNamedCommand::KNamedCommand | ( | const QString & | name | ) | `[inline, protected]`

Creates a command.

Parameters:

  name | the name of this command, translated, since it will appear in the menus.

Definition at line 85 of file kcommand.h.

References name().

## Member Function Documentation

virtual QString KNamedCommand::name | ( |  | ) | const`[inline, virtual]`

Returns:
  the name of this command

Implements KCommand.

Definition at line 91 of file kcommand.h.

Referenced by KNamedCommand().

void KNamedCommand::setName | ( | const QString & | name | ) | `[inline]`

| Updates the name of this command. Rarely necessary. Definition at line 96 of file kcommand.h. References KStdAccel::name().

The documentation for this class was generated from the following files:

- kcommand.h
- kcommand.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:03:25 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001